/*=============================================================
  header Setting
=============================================================*/
.c-header {
  max-width: 1920px;
  margin: 0 auto;
  position: fixed;
  z-index: 999999;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  width: 100%;
  background: #fff;
  box-shadow: 0 8px 12px -9px rgba(0, 0, 0, 0.15);
}
.c-header__inner {
  padding: 0 0 0 16px;
  display: grid;
  grid-template-columns: auto 1fr;
  grid-template-rows: auto auto;
  align-items: center;
}
.c-header__logo {
  grid-row: 1 / 3;
  z-index: 2;
}
.c-header__logo a {
  display: flex;
  flex-wrap: wrap;
  align-items: flex-end;
  gap: 16px;
}
.c-header__logo img {
  width: auto;
}
.c-header__utility {
  grid-column: 2;
  grid-row: 1;
  justify-self: end;
  display: grid;
  grid-template-columns: auto 1fr;
  gap: 20px;
  align-items: center;
}
.c-header__utility-list {
  display: grid;
  grid-template-columns: repeat(3, auto);
}
.c-header__utility-item {
  margin-top: 0;
  transition: all var(--transition);
}
.c-header__utility-item:hover {
  color: #fff;
  background: var(--keyColor);
}
.c-header__links {
  display: flex;
  gap: 20px;
}
.c-header__links .c-link:not([target="_blank"])::after {
  content: none;
}
.c-header__item--inquiry {
  background: #d73b55;
}
.c-header__item--lang {
  background: #122c48;
  width: 43px;
}
.c-header__item--search {
  background: #d6d5d5;
  width: 43px;
  display: flex;
  align-items: center;
  justify-content: center;
}
.c-header__search {
  border: none;
  width: 100%;
  height: 100%;
  position: relative;
  cursor: pointer;
  transition: all var(--transition);
}
.c-header__search::before {
  content: "";
  background: url(../img/icon-search-n.svg) no-repeat;
  background-size: cover;
  width: 18px;
  height: 18px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  transition: all var(--transition);
}
.c-header__search:hover {
  background: var(--keyColor);
}
.c-header__search:hover::before {
  background: url(../img/icon-search-w.svg) no-repeat;
  background-size: cover;
}
.c-header__search-box {
  position: absolute;
  bottom: -33px;
  right: 0;
  width: 80%;
  max-width: 900px;
  opacity: 0;
  margin-top: 0;
  visibility: hidden;
  transform: translateY(-10px);
  transition: all var(--transition);
}
.c-header__search-box.is-open {
  opacity: 1;
  visibility: visible;
  transform: translateY(0);
  transition: all var(--transition);
}
.gsc-search-box.gsc-search-box-tools {
  margin: 0 100px 0 auto;
  max-width: 830px;
  width: 82%;
}
.gsc-results-wrapper-overlay {
  box-sizing: border-box;
  height: 80vh !important;
}
.c-header__search-box tr {
  background: #eaf2fd;
}
.c-header__search-box input.gsc-input {
  background-color: #eaf2fd !important;
}
.c-header__search-box .gsc-input-box {
  border: none;
}
.c-header__search-box .gsib_a {
  background: none;
  padding: 4px 10px 4px 20px;
}
.c-header__search-box .gsib_b {
  padding: 0;
}
.c-header__search-box .gsc-search-button {
  display: block !important;
}
.gsc-search-button-v2 svg {
  display: none;
}
.gsc-search-button-v2 {
  background: #122c48;
  border: none;
  padding: 8px 16px;
  position: relative;
}
.gsc-search-button.gsc-search-button-v2 {
  width: 48px;
  height: 48px;
  background: var(--keyColor);
  border: none;
  border-radius: 0;
  cursor: pointer;
  font-size: 13px;
  padding: 10px;
  transition: all var(--transition);
}
.gsc-search-button.gsc-search-button-v2:hover {
  background: #d73b55;
}
.gsc-search-button-v2::before {
  content: "検索";
  color: #fff;
  font-size: 14px;
}
.c-header__search-close {
  position: absolute;
  top: 50%;
  right: 50px;
  transform: translateY(-40%);
  cursor: pointer;
}
.c-header__search-border {
  position: relative;
}
.c-header__search-border::before,
.c-header__search-border::after {
  content: "";
  width: 24px;
  height: 2px;
  background: #122c48;
  display: block;
  position: absolute;
  top: 5px;
  right: -25px;
  transform: rotate(35deg);
  transition: transform var(--transition);
}
.c-header__search-border::after {
  transform: rotate(-35deg);
}
.c-header__search-text {
  font-size: 10px;
  margin-top: 17px;
  display: block;
}
.c-header__utility-link {
  color: #fff;
  display: block;
  padding: 9px 10px;
}
.c-header__nav {
  grid-column: 2;
  grid-row: 2;
  padding: 10px 0;
  z-index: 999;
}
.c-header__nav-list {
  flex-wrap: wrap;
  display: flex;
  gap: 3%;
  justify-content: flex-end;
  padding-right: clamp(50px, 7vw, 90px);
}
.c-header__nav-item {
  margin-top: 0;
}
.c-header__nav-link {
  font-weight: var(--fontMedium);
  transition: color var(--transition);
}
.c-header__item--topics .c-link.is-active,
.c-header__nav-link.is-active {
  color: var(--keyColor);
}
@media (hover: hover) {
  .c-header__nav-link:hover {
    color: var(--keyColor);
  }
}
.c-header__subnav {
  opacity: 0;
  visibility: hidden;
  position: absolute;
  top: 89px;
  width: auto;
  background: #fff;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
  transform: translateX(-20px) translateY(0);
  transition:
    opacity var(--transition),
    transform var(--transition),
    visibility 0s linear 0.3s;
  z-index: 999;
  padding: 20px 25px 20px 20px;
}
.c-header__subnav--active {
  opacity: 1;
  visibility: visible;
  transform: translateX(-20px) translateY(0);
  transition:
    opacity var(--transition),
    transform var(--transition),
    visibility 0s;
}
.gsc-results-wrapper-overlay {
  width: 95% !important;
  left: 0% !important;
}
.gsc-result-info {
  padding: 4px 24px 4px 24px !important;
}
.gsc-control-cse .gsc-option-menu-container {
  padding: 4px 24px 4px 24px;
  display: flex;
  justify-content: end;
}
.gsc-webResult.gsc-result {
  padding: 16px 0;
}
.gsc-orderby-container {
  padding-right: 0 !important;
}
.gsc-webResult.gsc-result {
  padding: 16px 0 !important;
}
@media (min-width: 979px) {
  .c-header__nav-item.is-open .c-header__nav-link {
    color: var(--keyColor);
  }
  .c-header__subnav-item .c-link {
    padding-left: 28px;
    display: inline-block;
    text-indent: 0;
    font-size: 15px;
    font-weight: var(--fontNormal);
    line-height: 1.5;
  }
  .c-header__subnav-item .c-link::after {
    position: absolute;
    top: 3px;
    left: 0;
  }
  .c-header__subnav-item + .c-header__subnav-item {
    margin-top: 12px;
  }
}
.u-visually-hidden {
  display: none;
}
.c-header__hamburger {
  display: none;
}

/*+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 Tablet
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
@media (max-width: 980px) {
  .c-header .u-sp-block {
    display: block;
  }
  .c-header__logo--name {
    display: none;
  }
  .c-header__inner {
    padding: 10px;
    grid-template-columns: 103px 1fr;
  }
  .c-header__links,
  .c-header__item--lang,
  .c-header__item--search {
    display: none;
  }
  .c-header__utility {
    gap: 10px;
  }
  .c-header__utility-link {
    font-size: 15px;
  }
  .c-header__hamburger {
    display: block;
    order: 2;
    border: none;
    background: transparent;
    padding-top: 7px;
    width: 40px;
  }
  .c-header__hamburger-text {
    font-size: 10px;
  }
  .c-header__hamburger-border {
    border-top: 2px solid #122c48;
    position: relative;
    display: block;
    width: 24px;
    height: 17px;
    margin: 0 auto -5px;
  }
  .c-header__hamburger-border::before,
  .c-header__hamburger-border::after {
    content: "";
    width: 24px;
    height: 2px;
    background: #122c48;
    display: block;
    position: absolute;
    top: 5px;
    transition: transform var(--transition);
  }
  .c-header__hamburger-border::after {
    top: 12px;
  }
  .c-header__hamburger.is-open .c-header__hamburger-border {
    border-top: 2px solid transparent;
  }
  .c-header__hamburger.is-open .c-header__hamburger-border::before {
    top: 7px;
    transform: rotate(35deg);
  }
  .c-header__hamburger.is-open .c-header__hamburger-border::after {
    top: 7px;
    transform: rotate(-35deg);
  }
  .c-header__nav {
    position: absolute;
    top: 100%;
    left: 0;
    padding: 10px 0 50px;
    width: 100%;
    height: calc(100vh - 130px);
    overflow-y: auto;
    -webkit-overflow-scrolling: touch;
    background: #fff;
    opacity: 0;
    visibility: hidden;
    transform: translateY(-10px);
    transition:
      opacity 0.3s ease,
      transform var(--transition),
      visibility 0s linear 0.3s;
  }
  .c-header__nav.is-open {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
    transition:
      opacity 0.3s ease,
      transform var(--transition),
      visibility 0s;
    overflow-x: hidden;
  }
  body.is-fixed {
    position: fixed;
    width: 100%;
    height: 100%;
    overflow: hidden;
  }
  .c-header__nav-list {
    display: block;
    padding: 0;
    opacity: 0;
    transform: translateY(-5px);
    transition:
      opacity var(--transition),
      transform var(--transition);
  }
  @media screen and (-webkit-min-device-pixel-ratio: 0) {
    .c-header__nav-list {
      padding-bottom: 100px;
    }
  }
  .c-header__nav.is-open .c-header__nav-list {
    opacity: 1;
    transform: translateY(0);
    transition:
      opacity var(--transition) 0.15s,
      transform var(--transition) 0.15s;
  }
  .c-header__nav-item {
    border-bottom: 1px solid #eaf2fd;
  }
  .c-header__nav-item:first-child {
    border-top: 1px solid #eaf2fd;
  }
  .c-header__nav-link {
    display: block;
    padding: 16px;
    font-size: 18px;
  }
  .c-header__nav-link span {
    display: inline !important;
    font-size: 18px;
  }
  .c-header__nav-link.is-active span {
    color: var(--keyColor);
  }
  .c-header__nav-item.has-subnav .c-header__nav-link {
    position: relative;
  }
  .c-header__nav-item.has-subnav .c-header__nav-link::before,
  .c-header__nav-item.has-subnav .c-header__nav-link::after {
    content: "";
    width: 13.5px;
    height: 2px;
    background: #122c48;
    position: absolute;
    top: 50%;
    right: 10px;
    transform: translateX(-50%);
  }
  .c-header__nav-item.has-subnav .c-header__nav-link::after {
    transform: rotate(90deg);
    right: 17px;
    transition: transform var(--transition);
  }
  .c-header__nav-item.has-subnav.is-open .c-header__nav-link::after {
    transform: rotate(180deg);
  }
  .c-header__subnav {
    position: static;
    box-shadow: none;
    max-height: 0;
    padding: 0;
    opacity: 0;
    overflow: hidden;
    transform: translateX(0) translateY(0);
    transition:
      max-height var(--transition) -0.3s,
      opacity 0.2s ease;
  }
  .c-header__subnav--active {
    max-height: 500px;
    padding: 0 25px 20px 20px;
    opacity: 1;
    transition:
      max-height var(--transition),
      opacity 0.2s ease;
  }
  .c-header__subnav .c-link {
    padding: 10px 0;
    display: block;
  }
  .c-header__nav.is-open .c-header__search-box {
    opacity: 1;
    visibility: visible;
    position: relative;
    z-index: 999999999;
    top: 0;
  }
  .c-header__search-box {
    position: static;
    padding: 0 5%;
    width: auto;
    margin-top: 20px;
    border-bottom: none;
  }
  .c-header__search-close {
    display: none;
  }
  .c-header__nav-lang {
    border-bottom: none;
  }
  .c-header__nav-lang-link {
    display: block;
    font-size: 16px;
    color: #5e7486;
    text-align: center;
  }
  .gsc-search-box.gsc-search-box-tools {
    width: 100%;
  }
  .c-header__search-box.is-search-result {
    position: fixed !important;
    top: 0 !important;
    left: 0;
    margin-top: 5px;
    overflow-y: hidden;
    height: 100vh;
  }
  .gsc-results-wrapper-overlay {
    top: 0 !important;
    left: 0% !important;
    height: 100vh !important;
    width: 100% !important;
    padding-bottom: 200px !important;
  }
  .gsc-above-wrapper-area {
    display: block !important;
  }
  .gsc-overflow-hidden .c-header__nav {
    overflow-y: hidden;
  }
}
